Page MenuHomePhabricator

[X86] Support __tile_stream_loadd intrinsic for new AMX interface
ClosedPublic

Authored by yubing on Jun 6 2021, 7:45 PM.

Details

Summary

Adding support for __tile_stream_loadd intrinsic.

Diff Detail

Unit TestsFailed

TimeTest
50 msx64 debian > LLVM.MC/RISCV/rvv::snippet.s
Script: -- : 'RUN: at line 3'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/llvm-mc -triple=riscv64 -filetype=obj --mattr=+experimental-v < /var/lib/buildkite-agent/builds/llvm-project/llvm/test/MC/RISCV/rvv/snippet.s | /var/lib/buildkite-agent/builds/llvm-project/build/bin/llvm-objdump -d --mattr=+experimental-v - | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck /var/lib/buildkite-agent/builds/llvm-project/llvm/test/MC/RISCV/rvv/snippet.s --check-prefix=CHECK-INST
60 msx64 debian > LLVM.MC/RISCV/rvv::vsetvl.s
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/bin/llvm-mc -triple=riscv64 -show-encoding --mattr=+experimental-v /var/lib/buildkite-agent/builds/llvm-project/llvm/test/MC/RISCV/rvv/vsetvl.s | /var/lib/buildkite-agent/builds/llvm-project/build/bin/FileCheck /var/lib/buildkite-agent/builds/llvm-project/llvm/test/MC/RISCV/rvv/vsetvl.s --check-prefixes=CHECK-ENCODING,CHECK-INST
60 msx64 windows > LLVM.MC/RISCV/rvv::snippet.s
Script: -- : 'RUN: at line 3'; c:\ws\w5\llvm-project\premerge-checks\build\bin\llvm-mc.exe -triple=riscv64 -filetype=obj --mattr=+experimental-v < C:\ws\w5\llvm-project\premerge-checks\llvm\test\MC\RISCV\rvv\snippet.s | c:\ws\w5\llvm-project\premerge-checks\build\bin\llvm-objdump.exe -d --mattr=+experimental-v - | c:\ws\w5\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w5\llvm-project\premerge-checks\llvm\test\MC\RISCV\rvv\snippet.s --check-prefix=CHECK-INST
60 msx64 windows > LLVM.MC/RISCV/rvv::vsetvl.s
Script: -- : 'RUN: at line 1'; c:\ws\w5\llvm-project\premerge-checks\build\bin\llvm-mc.exe -triple=riscv64 -show-encoding --mattr=+experimental-v C:\ws\w5\llvm-project\premerge-checks\llvm\test\MC\RISCV\rvv\vsetvl.s | c:\ws\w5\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w5\llvm-project\premerge-checks\llvm\test\MC\RISCV\rvv\vsetvl.s --check-prefixes=CHECK-ENCODING,CHECK-INST

Event Timeline

yubing created this revision.Jun 6 2021, 7:45 PM
yubing requested review of this revision.Jun 6 2021, 7:45 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJun 6 2021, 7:45 PM
LuoYuanke added inline comments.Jun 8 2021, 7:51 AM
llvm/lib/Target/X86/X86FastTileConfig.cpp
124

Also add the stream load for X86PreAMXConfig.cpp: isTileLoad().

llvm/lib/Target/X86/X86InstrAMX.td
57

indent.

yubing updated this revision to Diff 350797.Jun 9 2021, 12:21 AM

Address yuanke's comments

yubing marked 2 inline comments as done.Jun 9 2021, 12:22 AM
LuoYuanke accepted this revision.Jun 9 2021, 1:03 AM

LGTM. Thank you!

This revision is now accepted and ready to land.Jun 9 2021, 1:03 AM
This revision was landed with ongoing or failed builds.Jun 11 2021, 2:33 AM
This revision was automatically updated to reflect the committed changes.